<div class="container">
  <div class="panel panel-primary filterable">
    <div class="panel-heading">
      <h3 class="panel-title">
        <div ng-if="!contrato.id">Creando Contrato</div>
        <div ng-if="contrato.id">Editando contrato</div>
      </h3>
    </div>
    <div class="panel-body">
      <form class="form-horizontal" name="form" novalidate>

        <div class="form-group" show-errors>
          <label for="inputContratoDNCPId" class="col-sm-2 control-label">Nro. Llamado</label>
          <div class="col-sm-10">
            <div class="input-group">
              <input type="text" class="form-control" id="inputContratoDNCPId" name="inputContratoDNCPId" placeholder="80001113" ng-model="nroContratacion" ng-required="true" ui-number-mask="0" ui-hide-group-sep>
              <span class= "input-group-btn"><button type="submit" class="btn  btn-primary" ng-click="obtenerContratosDNCP(codContratacion, nroContratacion)">Obtener</button></span>
            </div>
          </div>
        </div>

        <div class="form-group"  ng-if="contratosDNCP">
          <label for="codigoDNCP" class="col-sm-2 control-label">Cod. Contrato</label>
          <div class="col-sm-10">
            <ui-select ng-model="contrato.contratoDNCP" theme="bootstrap">
              <ui-select-match placeholder="Seleccione un Contrato"> {{$select.selected.codContratacion}} </ui-select-match>
              <ui-select-choices repeat="contrato in contratosDNCP | filter: $select.search">
                <div ng-bind-html="contrato.codContratacion | highlight: $select.search"></div>
                <small ng-bind-html="contrato.razonSocial | highlight: $select.search"></small>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>

        <div class="form-group" ng-if="!contratosDNCP" show-errors>
          <label for="inputContratoDNCPcod" class="col-sm-2 control-label">Cod. Contrato</label>
          <div class="col-sm-10">
            <div class="input-group">
              <input type="text" class="form-control" id="inputContratoDNCPcod" name="inputContratoDNCPcod" placeholder="80001113" ng-model="codContratacion" ng-required="true">
              <span class= "input-group-btn"><button type="submit" class="btn  btn-primary" ng-click="obtenerContratosDNCPporCodigo(codContratacion)">Obtener</button><span>
            </div>
          </div>
        </div>

        <div class="form-group">
          <label for="proveedor" class="col-sm-2 control-label">Contratista</label>
          <div class="col-sm-10" ng-if="proveedores.length">
            <ui-select ng-model="contrato.proveedor" theme="bootstrap" ng-disabled = "true">
              <ui-select-match placeholder="Busca un contratista"> {{$select.selected.razonSocial}} </ui-select-match>
              <ui-select-choices repeat="proveedor in proveedores | filter: $select.search | orderBy : 'razonSocial'">
                <div ng-bind-html="proveedor.razonSocial | highlight: $select.search"></div>
                <small ng-bind-html="proveedor.ruc | highlight: $select.search"></small>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>

        <div class="form-group" show-errors>
          <label for="inputFechaFirmaContrato" class="col-sm-2 control-label">Fecha Firma Contrato</label>
          <div class="col-sm-10">
            <div class="input-group">
              <input type="text" class="form-control" required="true"  uib-datepicker-popup="dd-MM-yyyy" ng-model="contrato.fechaFirmaContrato" is-open="estadoPUFechaFirmaContrato"
              ng-required="true" close-text="Cerrar" name="inputFechaFirmaContrato" current-text="Hoy" clear-text="Limpiar" placeholder="30-10-2016" readonly/>
              <span class="input-group-btn">
                <button type="button" class="btn btn-default" ng-click="estadoPUFechaFirmaContrato = true"  ng-disabled="true"><i class="glyphicon glyphicon-calendar"></i></button>
              </span>
            </div>
          </div>
        </div>

        <div class="form-group" show-errors>
          <label for="inputFechaContrato" class="col-sm-2 control-label">Fecha Contrato</label>
          <div class="col-sm-10">
            <div class="input-group calendario-filtros">
              <input type="text" name="fechaInicio" id="fechaInicio" class="form-control" uib-datepicker-popup="dd-MM-yyyy" ng-model="contrato.fechaInicio" is-open="estadoPUFechaInicioContrato"
                ng-required="true" close-text="Cerrar" current-text="Hoy" clear-text="Limpiar" readonly />
              <span class="input-group-btn">
                <button type="button" class="btn btn-default" ng-click="estadoPUFechaInicioContrato = true"><i class="glyphicon glyphicon-calendar"></i></button>
              </span>
              <input type="text" name="fechaFin" id="fechaFin" class="form-control" uib-datepicker-popup="dd-MM-yyyy" ng-model="contrato.fechaFin" is-open="estadoPUFechaFinContrato"
                close-text="Cerrar" current-text="Hoy" clear-text="Limpiar" readonly />
              <span class="input-group-btn">
                <button type="button" class="btn btn-default" ng-click="estadoPUFechaFinContrato = true"><i class="glyphicon glyphicon-calendar"></i></button>
              </span>
            </div>
          </div>
        </div>


        <div class="form-group" show-errors>
          <label for="inputLinkDNCP" class="col-sm-2 control-label">Link DNCP</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" id="inputLinkDNCP" name="inputLinkDNCP" placeholder="linkdncp.com" ng-model="contrato.linkDncp" readonly>
          </div>
        </div>
        <div class="form-group" show-errors>
          <label for="inputMontoTotal" class="col-sm-2 control-label">Monto Total</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" id="inputMontoTotal" name="inputMontoTotal" placeholder="2000000000" ng-model="contrato.montoTotal" ui-number-mask="0" readonly>
          </div>
        </div>
        <div class="form-group" show-errors>
          <label for="inputMontoDesembolsado" class="col-sm-2 control-label">Monto Desembolsado</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" id="inputMontoDesembolsado" name="inputMontoDesembolsado" placeholder="200000000" ng-model="contrato.montoDesembolsado" ui-number-mask="0">
          </div>
        </div>

        <div class="form-group" show-errors>
          <label for="inputMoneda" class="col-sm-2 control-label">Moneda</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" id="inputMoneda" name="inputMoneda" placeholder="Guaraníes" ng-model="contrato.contratoDNCP.moneda" readonly>
          </div>
        </div>

        <div class="form-group">
          <label for="inputVisible" class="col-sm-2 control-label">Visible</label>
          <div class="col-sm-10">
            <div class="btn-group">
              <label class="btn btn-primary" ng-model="contrato.visible" uib-btn-radio="'SI'">SI</label>
              <label class="btn btn-primary" ng-model="contrato.visible" uib-btn-radio="'NO'">NO</label>
            </div>
          </div>
        </div>

        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn  btn-primary" ng-click="guardar()">Guardar</button>
            <button type="button" ng-click="cancelar()" class="btn btn-default">Cancelar</button>
          </div>
        </div>

      </form>
    </div>
  </div>
</div>
